# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------------
# Copyright (c) Spyder Project Contributors
#
# Licensed under the terms of the MIT License
# (see LICENSE.txt for details)
# -----------------------------------------------------------------------------
ANSI_COLORS = {
    'emacs': {
        'black': '#000000',
        'red': '#800000',
        'green': '#005100',
        'yellow': '#abab67',
        'blue': '#151d51',
        'magenta': '#510051',
        'cyan': '#105151',
        'white': '#ffffff',
        'brightBlack': '#555555',
        'brightRed': '#c80000',
        'brightGreen': '#00aa00',
        'brightYellow': '#cbcb7b',
        'brightBlue': '#3c51e8',
        'brightMagenta': '#900090',
        'brightCyan': '#20a7a7',
        'brightWhite': '#ffffff'
    },
    'idle': {
        'black': '#ffffff',
        'red': '#8a0000',
        'green': '#008a00',
        'yellow': '#8a4000',
        'blue': '#00008a',
        'magenta': '#5a005a',
        'cyan': '#105151',
        'white': '#ffffff',
        'brightBlack': '#555555',
        'brightRed': '#dd0000',
        'brightGreen': '#00aa00',
        'brightYellow': '#ff7700',
        'brightBlue': '#0000ff',
        'brightMagenta': '#900090',
        'brightCyan': '#20a7a7',
        'brightWhite': '#ffffff'
    },
    'monokai': {
        'black': '#48483e',
        'red': '#dc2566',
        'green': '#8fc029',
        'yellow': '#d4c96e',
        'blue': '#55bcce',
        'magenta': '#9358fe',
        'cyan': '#56b7a5',
        'white': '#f8f8f2',
        'brightBlack': '#76715e',
        'brightRed': '#fa2772',
        'brightGreen': '#a7e22e',
        'brightYellow': '#e7db75',
        'brightBlue': '#66d9ee',
        'brightMagenta': '#ae82ff',
        'brightCyan': '#66efd5',
        'brightWhite': '#f9f8f5'
    },
    'pydev': {
        'black': '#ffffff',
        'red': '#800000',
        'green': '#00aa00',
        'yellow': '#ffff99',
        'blue': '#0000ff',
        'magenta': '#900090',
        'cyan': '#007f7f',
        'white': '#efefef',
        'brightBlack': '#c0c0c0',
        'brightRed': '#c10000',
        'brightGreen': '#00cc00',
        'brightYellow': '#fff569',
        'brightBlue': '#015aff',
        'brightMagenta': '#bf00bf',
        'brightCyan': '#00a5a5',
        'brightWhite': '#ffffff'
    },
    'scintilla': {
        'black': '#ffffff',
        'red': '#800000',
        'green': '#007f00',
        'yellow': '#ffff99',
        'blue': '#00007f',
        'magenta': '#7f007f',
        'cyan': '#007f7f',
        'white': '#efefef',
        'brightBlack': '#adadad',
        'brightRed': '#c10000',
        'brightGreen': '#00ab00',
        'brightYellow': '#fff569',
        'brightBlue': '#0000ff',
        'brightMagenta': '#be00be',
        'brightCyan': '#00a5a5',
        'brightWhite': '#ffffff'
    },
    'spyder': {
        'black': '#ffffff',
        'red': '#800000',
        'green': '#00aa00',
        'yellow': '#ffff99',
        'blue': '#0000ff',
        'magenta': '#900090',
        'cyan': '#27b5ac',
        'white': '#efefef',
        'brightBlack': '#adadad',
        'brightRed': '#c10000',
        'brightGreen': '#00c800',
        'brightYellow': '#fff569',
        'brightBlue': '#0a37ff',
        'brightMagenta': '#d500d5',
        'brightCyan': '#2dd0c5',
        'brightWhite': '#ffffff'
    },
    'spyder/dark': {
        'black': '#19232D',
        'red': '#c80000',
        'green': '#11a642',
        'yellow': '#c5bb29',
        'blue': '#558eff',
        'magenta': '#aa00aa',
        'cyan': '#20b3a7',
        'white': '#ffffff',
        'brightBlack': '#4b4b4b',
        'brightRed': '#ef0000',
        'brightGreen': '#13c24b',
        'brightYellow': '#e6e13f',
        'brightBlue': '#4395ff',
        'brightMagenta': '#da00da',
        'brightCyan': '#23cbbd',
        'brightWhite': '#ffffff'
    },
    'zenburn': {
        'black': '#3F3F3F',
        'red': '#705050',
        'green': '#60B48A',
        'yellow': '#DFAF8F',
        'blue': '#506070',
        'magenta': '#DC8CC3',
        'cyan': '#8CD0D3',
        'white': '#DCDCCC',
        'brightBlack': '#709080',
        'brightRed': '#DCA3A3',
        'brightGreen': '#C3BF9F',
        'brightYellow': '#F0DFAF',
        'brightBlue': '#94BFF3',
        'brightMagenta': '#EC93D3',
        'brightCyan': '#93E0E3',
        'brightWhite': '#DCDCCC'
    },
    'solarized/light': {
        'black': '#fdf6e3',
        'red': '#dc322f',
        'green': '#859900',
        'yellow': '#b58900',
        'blue': '#268bd2',
        'magenta': '#6c71c4',
        'cyan': '#2aa198',
        'white': '#93a1a1',
        'brightBlack': '#657b83',
        'brightRed': '#dc322f',
        'brightGreen': '#859900',
        'brightYellow': '#b58900',
        'brightBlue': '#268bd2',
        'brightMagenta': '#6c71c4',
        'brightCyan': '#2aa198',
        'brightWhite': '#fdf6e3'
    },
    'solarized/dark': {
        'black': '#002b36',
        'red': '#dc322f',
        'green': '#859900',
        'yellow': '#b58900',
        'blue': '#268bd2',
        'magenta': '#6c71c4',
        'cyan': '#2aa198',
        'white': '#93a1a1',
        'brightBlack': '#657b83',
        'brightRed': '#dc322f',
        'brightGreen': '#859900',
        'brightYellow': '#b58900',
        'brightBlue': '#268bd2',
        'brightMagenta': '#6c71c4',
        'brightCyan': '#2aa198',
        'brightWhite': '#fdf6e3'
    },
    'inkpot': {
        'black': '#1f1f27',
        'red': '#CD5200',
        'green': '#9DCD00',
        'yellow': '#cd8b00',
        'blue': '#87cefa',
        'magenta': '#8b8bff',
        'cyan': '#87FAE5',
        'white': '#93a1a1',
        'brightBlack': '#313131',
        'brightRed': '#CD2300',
        'brightGreen': '#C0CD00',
        'brightYellow': '#ffcd8b',
        'brightBlue': '#B9E1FA',
        'brightMagenta': '#A3A3FF',
        'brightCyan': '#B8FAEE',
        'brightWhite': '#cfbfad'
    },
    'minimal': {
        'black': '#ffffff',
        'red': '#D22D72',
        'green': '#568C3B',
        'yellow': '#8A8A0F',
        'blue': '#257FAD',
        'magenta': '#5D5DB1',
        'cyan': '#2D8F6F',
        'white': '#7EA2B4',
        'brightBlack': '#5A7B8C',
        'brightRed': '#D22D72',
        'brightGreen': '#568C3B',
        'brightYellow': '#8A8A0F',
        'brightBlue': '#257FAD',
        'brightMagenta': '#5D5DB1',
        'brightCyan': '#2D8F6F',
        'brightWhite': '#EBF8FF'
    },
    'nightlion': {
        'black': '#4c4c4c',
        'red': '#bb0000',
        'green': '#5fde8f',
        'yellow': '#f3f167',
        'blue': '#276bd8',
        'magenta': '#bb00bb',
        'cyan': '#00dadf',
        'white': '#bbbbbb',
        'brightBlack': '#555555',
        'brightRed': '#ff5555',
        'brightGreen': '#55ff55',
        'brightYellow': '#ffff55',
        'brightBlue': '#5555ff',
        'brightMagenta': '#ff55ff',
        'brightCyan': '#55ffff',
        'brightWhite': '#ffffff'
    },
    'notepad++': {
        'black': '#ffffff',
        'red': '#CC342B',
        'green': '#198844',
        'yellow': '#FBA922',
        'blue': '#3971ED',
        'magenta': '#A36AC7',
        'cyan': '#3971ED',
        'white': '#C5C8C6',
        'brightBlack': '#969896',
        'brightRed': '#CC342B',
        'brightGreen': '#198844',
        'brightYellow': '#FBA922',
        'brightBlue': '#3971ED',
        'brightMagenta': '#A36AC7',
        'brightCyan': '#3971ED',
        'brightWhite': '#FFFFFF'
    },
    'oblivion': {
        'black': '#1D1F21',
        'red': '#CC6666',
        'green': '#B5BD68',
        'yellow': '#F0C674',
        'blue': '#81A2BE',
        'magenta': '#B294BB',
        'cyan': '#8ABEB7',
        'white': '#C5C8C6',
        'brightBlack': '#969896',
        'brightRed': '#CC6666',
        'brightGreen': '#B5BD68',
        'brightYellow': '#F0C674',
        'brightBlue': '#81A2BE',
        'brightMagenta': '#B294BB',
        'brightCyan': '#8ABEB7',
        'brightWhite': '#FFFFFF'
    },
    'obsidian': {
        'black': '#232C31',
        'red': '#2A5491',
        'green': '#237986',
        'yellow': '#A03B1E',
        'blue': '#484D79',
        'magenta': '#C59820',
        'cyan': '#B02F30',
        'white': '#9EA7A6',
        'brightBlack': '#3F4944',
        'brightRed': '#2A5491',
        'brightGreen': '#237986',
        'brightYellow': '#A03B1E',
        'brightBlue': '#484D79',
        'brightMagenta': '#C59820',
        'brightCyan': '#B02F30',
        'brightWhite': '#B5D8F6'
    },
    'pastel': {
        'black': '#000000',
        'red': '#c37372',
        'green': '#72c373',
        'yellow': '#c2c372',
        'blue': '#7372c3',
        'magenta': '#c372c2',
        'cyan': '#72c2c3',
        'white': '#d9d9d9',
        'brightBlack': '#323232',
        'brightRed': '#dbaaaa',
        'brightGreen': '#aadbaa',
        'brightYellow': '#dadbaa',
        'brightBlue': '#aaaadb',
        'brightMagenta': '#dbaada',
        'brightCyan': '#aadadb',
        'brightWhite': '#ffffff'
    },
    'retta': {
        'black': '#000000',
        'red': '#A54242',
        'green': '#8C9440',
        'yellow': '#de935f',
        'blue': '#5F819D',
        'magenta': '#85678F',
        'cyan': '#5E8D87',
        'white': '#969896',
        'brightBlack': '#373b41',
        'brightRed': '#cc6666',
        'brightGreen': '#b5bd68',
        'brightYellow': '#f0c674',
        'brightBlue': '#81a2be',
        'brightMagenta': '#b294bb',
        'brightCyan': '#8abeb7',
        'brightWhite': '#c5c8c6'
    },
    'roboticket': {
        'black': '#f5f5f5',
        'red': '#E64569',
        'green': '#89D287',
        'yellow': '#DAB752',
        'blue': '#439ECF',
        'magenta': '#D961DC',
        'cyan': '#64AAAF',
        'white': '#B3B3B3',
        'brightBlack': '#535353',
        'brightRed': '#E4859A',
        'brightGreen': '#A2CCA1',
        'brightYellow': '#E1E387',
        'brightBlue': '#6FBBE2',
        'brightMagenta': '#E586E7',
        'brightCyan': '#96DCDA',
        'brightWhite': '#DEDEDE'
    },
    'sublime-monokai/extended': {
        'black': '#222222',
        'red': '#dc2566',
        'green': '#8fc029',
        'yellow': '#d4c96e',
        'blue': '#55bcce',
        'magenta': '#9358fe',
        'cyan': '#56b7a5',
        'white': '#f8f8f2',
        'brightBlack': '#76715e',
        'brightRed': '#fa2772',
        'brightGreen': '#a7e22e',
        'brightYellow': '#e7db75',
        'brightBlue': '#66d9ee',
        'brightMagenta': '#ae82ff',
        'brightCyan': '#66efd5',
        'brightWhite': '#f9f8f5'
    },
    'vibrant-ink': {
        'black': '#191919',
        'red': '#d00e18',
        'green': '#138034',
        'yellow': '#ffcb3e',
        'blue': '#006bb3',
        'magenta': '#6b2775',
        'cyan': '#384564',
        'white': '#ededed',
        'brightBlack': '#5d504a',
        'brightRed': '#f07e18',
        'brightGreen': '#b1d130',
        'brightYellow': '#fff120',
        'brightBlue': '#4fc2fd',
        'brightMagenta': '#de0071',
        'brightCyan': '#5d504a',
        'brightWhite': '#ffffff'
    }
}
